package com.lovecoding.day03;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo08
 * @description 使用嵌套 for 循环和 if 语句打印一个 5 行 5 列的空心矩形星号图案
 * （第一行和最后一行全满，第一列和最后一列全满，其余为空格）。
 * @create 2026/7/9
 */
public class Demo08 {
    public static void main(String[] args) {
        for (int i = 0; i < 5; i++) {
            for (int j = 0; j < 5; j++) {
                if (i==0||i==4){    //第一行和最后一行
                    System.out.print("*");
                }else {//其余行
                    if (j==0||j==4){
                        System.out.print("*");
                    }else {
                        System.out.print(" ");
                    }
                }
            }
            System.out.println();
        }
    }
}
